select
    id as transaction_id,
    case
        when amount < 1000     then 'Small'
        when amount < 10000    then 'Medium'
        when amount < 100000   then 'Significant'
        when amount < 1000000  then 'Large'
        else                        'Exceptional'
    end as payment_band,
    amount
from
    transaction
where
    actual_or_reserve = 'Actual' and
    payment_or_recovery = 'Payment' and
    amount >= 0 and
    created_at between '2015-05-01 14:00:00' and '2015-05-01 18:00:00'
order by
    amount desc;